<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:os="http://www.objectshop.com/objectshop">

 <xsl:template match="/">
  <html>
   <head>
    <link rel="stylesheet" type="text/css" href="styles/objectshop.css" />
    <meta http-equiv="Content-Type"
     content="text/html; charset=ISO-8859-1" />
    <title>ObjectShop</title>
   </head>
   <body>


    <div id="headerregion">
     <div id="header">
      <h1>Object Shop</h1>
     </div>
    </div>

    <div id="middleregion">
     <div id="middle">
      <div id="sidebar">
       <h2>On Sale Now</h2>
       <ul>
        <li>Books</li>
        <li>Music</li>
        <li>Movies</li>
        <li>Toys</li>
       </ul>
      </div>

      <div id="content">
       <h2>Best Buys</h2>
       <p>We guarantee satisfaction.</p>
       <br />
       <xsl:apply-templates select="/os:objectshop/os:catalog" />
      </div>
     </div>
    </div>

    <div id="footerregion">
     <div id="footer">
      <h2>best choice for the best price</h2>
      <div id="footerlinks">
       <p>
        <a href="/">Home</a>
        |
        <a href="/">Eteration A.S.</a>
        | Copyright&#169; 2003-2007
       </p>
      </div>
     </div>
    </div>

   </body>
  </html>
 </xsl:template>


 <xsl:template match="/os:objectshop/os:catalog">
  <table align="center">
   <xsl:for-each select="//os:product">
    <xsl:sort select="os:productId" />
    <tr valign="top">
     <td valign="top">
      <b>
       <xsl:value-of select="os:productId" />
      </b>
     </td>
     <td>
      <img>
       <xsl:attribute name="height">50</xsl:attribute>
       <xsl:attribute name="width">50</xsl:attribute>
       <xsl:attribute name="align">top</xsl:attribute>
       <xsl:attribute name="border">0</xsl:attribute>
       <xsl:attribute name="src">
        <xsl:value-of select="os:icon" />
       </xsl:attribute>
      </img>
     </td>
     <td>
      <b>
       <xsl:value-of select="os:name" />
      </b>
      <xsl:value-of select="os:description" />
      <br />
      Retail Price $
      <xsl:value-of select="os:price" />
      <br />
      <font color="RED">
       <b>
        Our Price $
        <xsl:value-of select="os:price" />
       </b>
      </font>
     </td>
    </tr>
    <tr>
     <td colspan="3">
      <img height="1" src="images/grey-pixel.gif" width="100%"
       align="top" vspace="6" />
     </td>
    </tr>

   </xsl:for-each>
  </table>

 </xsl:template>

</xsl:stylesheet>